Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007497TestLinkAPI - XMLRPCpublic2016-04-09 22:082016-09-08 15:13
Reporterkillerbee 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.14 (2015 Q3) 
Fixed in Version1.9.15 (2015 Q4) 
Summary0007497: create / update Testcase do not support to set the TestCaseStatus
Descriptionthis is not about the execution status but about the state of the test case spec
Steps To Reproduceuse craet / update test case API method and set the test case status to NOT draft. GUI still shows it as DRAFT
TagsNo tags attached.
Database (MySQL,Postgres,etc)Mysql
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0007262closedfman Availables hot-fixes for 1.9.14 & How To get full fixed package from GitHub 

-  Notes
(0024673)
fman (administrator)
2016-04-10 09:25

1) updateTestCase() method support status parameter and work OK. (just tested).
Unfortunately you did not provide detailed steps to reproduce, that in for API call means details of value of each parameter used in call
status has to be provided as INT VALUE according to spec on:
const.inc.php => $tlCfg->testCaseStatus

2) Please remember that good issue reporting requires that one ticket is open for each issue, that means for your report that two issues has to been opened one for the create method and one for the update.
(0024674)
fman (administrator)
2016-04-10 09:34

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/ef504427ea37974ed8335a2c7a4af49bfc9e3826 [^]
(0024677)
killerbee (reporter)
2016-04-11 11:11

Sorry, but i think your test is not correctly performed in that it just checks probably the returned test case (which contains the correct state) but NOT the database. When you check the GUI you will see that the test case still has the old status (draft) no matter what you specify in the create method. you can also test / verify this by uising getTestcase method to retrieve data from db and check there

br
Thomas
(0024678)
killerbee (reporter)
2016-04-11 11:51
edited on: 2016-04-11 11:51

in hot fix version (from ticket 7262) create test case works as expected so maybe it was misunderstanding from my side.

(0024679)
fman (administrator)
2016-04-11 12:18

Before writting things like note 24677, it will be better that you provide detailed steps to reproduce.
(0025262)
fman (administrator)
2016-09-08 15:13

1.9.15 Released - 2016-09-08

- Issue History
Date Modified Username Field Change
2016-04-09 22:08 killerbee New Issue
2016-04-10 09:25 fman Note Added: 0024673
2016-04-10 09:25 fman QA Team - Task Workflow Status => TBD
2016-04-10 09:25 fman Priority high => normal
2016-04-10 09:34 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2016-04-10 09:34 fman Note Added: 0024674
2016-04-10 09:34 fman Status new => resolved
2016-04-10 09:34 fman Fixed in Version => 1.9.15 (2015 Q4)
2016-04-10 09:34 fman Resolution open => fixed
2016-04-10 09:34 fman Assigned To => fman
2016-04-10 09:35 fman Relationship added child of 0007262
2016-04-10 09:41 fman Issue cloned: 0007498
2016-04-11 11:11 killerbee Note Added: 0024677
2016-04-11 11:11 killerbee Status resolved => assigned
2016-04-11 11:11 killerbee Resolution fixed => reopened
2016-04-11 11:51 killerbee Note Added: 0024678
2016-04-11 11:51 killerbee Note Edited: 0024678 View Revisions
2016-04-11 12:18 fman Note Added: 0024679
2016-04-11 12:18 fman Note View State: 0024679: public
2016-04-11 12:18 fman Status assigned => resolved
2016-04-11 12:18 fman Resolution reopened => fixed
2016-09-08 15:13 fman Note Added: 0025262
2016-09-08 15:13 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker